petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMergeIntArray

Merges two SORTED integer arrays, removes duplicate elements.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMergeIntArray(PetscInt an,const PetscInt aI[], PetscInt bn, const PetscInt bI[],  PetscInt *n, PetscInt **L)

Not Collective

### Input Parameters

| an | - number of values in the first array
| aI | - first sorted array of integers
| bn | - number of values in the second array
| bI | - second array of integers

### Output Parameters

| n | - number of values in the merged array
| L | - merged sorted array, this is allocated if an array is not provided

### See Also

PetscSortReal(), PetscSortIntPermutation(), PetscSortInt(), PetscSortIntWithArray()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages